# -------------------------------------------------------------------------- #
#
# Copyright (C) 2020  Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions 
# and other software and tools, and any partner logic 
# functions, and any output files from any of the foregoing 
# (including device programming or simulation files), and any 
# associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License 
# Subscription Agreement, the Intel Quartus Prime License Agreement,
# the Intel FPGA IP License Agreement, or other applicable license
# agreement, including, without limitation, that your use is for
# the sole purpose of programming logic devices manufactured by
# Intel and sold by Intel or its authorized distributors.  Please
# refer to the applicable agreement for further details, at
# https://fpgasoftware.intel.com/eula.
#
# -------------------------------------------------------------------------- #
#
# Quartus Prime
# Version 20.1.1 Build 720 11/11/2020 SJ Lite Edition
#
# -------------------------------------------------------------------------- #

package require ::quartus::project

set_global_assignment -name TOP_LEVEL_ENTITY top
set_global_assignment -name VERILOG_FILE hdl/top.v
set_global_assignment -name STRATIX_DEVICE_IO_STANDARD "3.3-V LVTTL"
set_global_assignment -name INTERNAL_FLASH_UPDATE_MODE "SINGLE IMAGE WITH ERAM"
set_global_assignment -name PROJECT_OUTPUT_DIRECTORY output_files
set_global_assignment -name ENABLE_DEVICE_WIDE_RESET OFF
set_global_assignment -name ENABLE_BOOT_SEL_PIN OFF
set_global_assignment -name ENABLE_OCT_DONE OFF
set_global_assignment -name ENABLE_CONFIGURATION_PINS OFF
set_global_assignment -name USE_CONFIGURATION_DEVICE OFF
set_global_assignment -name CRC_ERROR_OPEN_DRAIN OFF
# clk input
set_location_assignment PIN_H6 -to CLK12M
# sdram
set_location_assignment PIN_J9 -to A[0]
set_location_assignment PIN_J10 -to A[1]
set_location_assignment PIN_K10 -to A[2]
set_location_assignment PIN_K11 -to A[3]
set_location_assignment PIN_L12 -to A[4]
set_location_assignment PIN_K12 -to A[5]
set_location_assignment PIN_L13 -to A[6]
set_location_assignment PIN_J12 -to A[7]
set_location_assignment PIN_J13 -to A[8]
set_location_assignment PIN_G13 -to A[9]
set_location_assignment PIN_H9 -to A[10]
set_location_assignment PIN_H13 -to A[11]
#set_location_assignment PIN_H10 -to A[12]
set_location_assignment PIN_G12 -to BA[0]
set_location_assignment PIN_H8 -to BA[1]
set_location_assignment PIN_G10 -to CAS
set_location_assignment PIN_L3 -to CLK
set_location_assignment PIN_A12 -to DQ[0]
set_location_assignment PIN_B11 -to DQ[1]
set_location_assignment PIN_B12 -to DQ[2]
set_location_assignment PIN_C11 -to DQ[3]
set_location_assignment PIN_C12 -to DQ[4]
set_location_assignment PIN_D9 -to DQ[5]
set_location_assignment PIN_E9 -to DQ[6]
set_location_assignment PIN_E10 -to DQ[7]
set_location_assignment PIN_F13 -to DQ[8]
set_location_assignment PIN_F12 -to DQ[9]
set_location_assignment PIN_E13 -to DQ[10]
set_location_assignment PIN_E12 -to DQ[11]
set_location_assignment PIN_D12 -to DQ[12]
set_location_assignment PIN_C13 -to DQ[13]
set_location_assignment PIN_D11 -to DQ[14]
set_location_assignment PIN_B13 -to DQ[15]
set_location_assignment PIN_F9 -to DQM[0]
set_location_assignment PIN_F10 -to DQM[1]
set_location_assignment PIN_F8 -to RAS
set_location_assignment PIN_G9 -to WE
# ftdi
set_location_assignment PIN_A5 -to BCBUS0
set_location_assignment PIN_A6 -to BCBUS1
set_location_assignment PIN_A7 -to BCBUS2
set_location_assignment PIN_A9 -to BCBUS3
set_location_assignment PIN_A8 -to BCBUS4
set_location_assignment PIN_J1 -to BDBUS0
set_location_assignment PIN_H4 -to BDBUS1
set_location_assignment PIN_H5 -to BDBUS2
set_location_assignment PIN_G5 -to BDBUS3
set_location_assignment PIN_B2 -to BDBUS4
set_location_assignment PIN_A2 -to BDBUS5
set_location_assignment PIN_B3 -to BDBUS6
set_location_assignment PIN_A3 -to BDBUS7
# user leds
set_location_assignment PIN_B9 -to LED1
set_location_assignment PIN_D13 -to LED2
#user buttons
set_location_assignment PIN_E7 -to RESET
set_location_assignment PIN_D7 -to USER_BTN
# vadj control
set_location_assignment PIN_K13 -to PWREN
set_location_assignment PIN_H1 -to VID0
set_location_assignment PIN_B7 -to VID1
set_location_assignment PIN_L1 -to VID2
# Pin header J1
set_location_assignment PIN_L4 -to A0_P
set_location_assignment PIN_L5 -to A0_N
set_location_assignment PIN_J5 -to A1_P
set_location_assignment PIN_K5 -to A1_N
set_location_assignment PIN_K6 -to A2_P
set_location_assignment PIN_J6 -to A2_N
set_location_assignment PIN_M7 -to A3_P
set_location_assignment PIN_N6 -to A3_N
set_location_assignment PIN_M5 -to A4_P
set_location_assignment PIN_M4 -to A4_N
set_location_assignment PIN_N5 -to A5_P
set_location_assignment PIN_N4 -to A5_N
set_location_assignment PIN_K7 -to B0_P
set_location_assignment PIN_J7 -to B0_N
set_location_assignment PIN_M12 -to B1_P
set_location_assignment PIN_M13 -to B1_N
set_location_assignment PIN_L11 -to B2_P
set_location_assignment PIN_M11 -to B2_N
set_location_assignment PIN_K8 -to B3_P
set_location_assignment PIN_J8 -to B3_N
set_location_assignment PIN_N8 -to B4_P
set_location_assignment PIN_N7 -to B4_N
set_location_assignment PIN_L10 -to B5_P
set_location_assignment PIN_M10 -to B5_N
set_location_assignment PIN_N10 -to HSI
set_location_assignment PIN_N12 -to HSMIO
set_location_assignment PIN_N9 -to HSO
set_location_assignment PIN_N11 -to HSRST
set_location_assignment PIN_C10 -to LS16
set_location_assignment PIN_E8 -to LS17
set_location_assignment PIN_H3 -to LS18
set_location_assignment PIN_H2 -to LS19
set_location_assignment PIN_N2 -to REFCLK
set_location_assignment PIN_A10 -to SMB_ALERT
set_location_assignment PIN_A11 -to SMB_SCL
set_location_assignment PIN_B10 -to SMB_SDA
set_location_assignment PIN_E5 -to TMODE
# Pin header J9
set_location_assignment PIN_M2 -to SCK
set_location_assignment PIN_N3 -to SCL
set_location_assignment PIN_M1 -to SDA
set_location_assignment PIN_M3 -to SEL
set_location_assignment PIN_K2 -to D0
set_location_assignment PIN_L2 -to D1
set_location_assignment PIN_K1 -to D2
set_location_assignment PIN_J2 -to D3
